Subject: Re: [PATCH v2] net-tun: restructure tun_do_read for better sleep/wakeup efficiency

From: "Michael S. Tsirkin" <[email-masked]>
Date: Tue, 20 May 2014 09:35:51 +0300

On Mon, May 19, 2014 at 09:52:39PM -0700, Eric Dumazet wrote:
> On Tue, 2014-05-20 at 12:44 +0800, Jason Wang wrote:
> 
> > But this changes (sk_data_ready()) has nothing related to switching to
> > use __skb_recv_datagram()
> 
> I think I will give up at this point, this is becoming too much time to
> gain only 15% of cpu.
> 

Ouch I did like the patch, less code and more performance.
I hope we'll be able to save it still, please be patient
Jason's just being cautious trying to make sure we don't
break existing userspace.

-- 
MST